{ config, pkgs, ... }:

{
  networking.hostName = "lavitz";

  networking.networkmanager = {
    enable = true;
    wifi.scanRandMacAddress = true;
  };

  networking.firewall = {
    enable = true;

    allowedTCPPorts = [
      47984 47989 48010
      8384 22000
    ];
    allowedUDPPorts = [
      47998 47999 48000 48010
      22000 21027
    ];
  };

  networking.nameservers = [ "1.1.1.1" "9.9.9.9" ];
  services.resolved = {
    enable = true;
    dnsovertls = "opportunistic";
    fallbackDns = [ "1.0.0.1" "149.112.112.112" ];
  };
}
